//
//  main.m
//  zinsrechner_mit_funktionen
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import <Foundation/Foundation.h>

double berechneZinsen
(double kontostand, double zinssatz, int laufzeit);

int main (int argc, const char * argv[])
{

    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];

    double kontostand = 100.0;
    double zinssatz = 5.0; // Das sollen 5 Prozent sein
    int laufzeit = 12;
    
    // Die Funktion aufrufen.
    kontostand = berechneZinsen(kontostand, zinssatz, laufzeit);
    
    // Den errechneten Wert ausgeben.
    NSLog(@"Der Kontostand nach %i Jahren ist %.2f" ,
          laufzeit,kontostand);

    
    [pool drain];
    return 0;
}

double berechneZinsen
(double kontostand, double zinssatz, int laufzeit)
{
    
    /*
     for(int i= 1; i <= laufzeit; i++)
     {
     kontostand = kontostand * (1 + zinssatz / 100);
     NSLog(@"Nach dem Jahr %i hast du %.2f Euro",i,
     kontostand);
     }  
     */
    
    double neuerKontostand = 
    kontostand * pow( zinssatz/100 + 1, laufzeit );
    
    // NSLog(@"Neuer Kontostand %.2f",neuerKontostand);
    
    return neuerKontostand;
}



